=== debian/changelog ===
libtracefs (1.8.0-1ubuntu1) noble; urgency=medium

  * Remove "patches/" from .gitignore
  * Bump libtraceevent-dev Build-Depends to >= 1:1.8.0
  * Only use online CPUs during tests
    - d/p/testsuite-use-only-online-cpus.patch
  * Return an error from trace-utest if one of the tests failed:
    - d/p/testsuite-return-error-when-tests-failed.patch
  * Build and run the upstream testsuite (as root) during build
  * Run the upstream test suite during autopkgtest (requires root and VM)
    (LP: #2055309)
    - Build autopkgtest testsuite against installed library
    - Ignore CI-incompatible test failures in CI
    - Add d/tests/autopkgtest-specific.patch to support required changes

 -- Adrien Nader <adrien.nader@canonical.com>  Tue, 16 Apr 2024 22:25:06 +0200

libtracefs (1.8.0-1) unstable; urgency=medium

  * New upstream version 1.8.0
    - Update symbols.
    - Update copyright.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Tue, 16 Jan 2024 22:17:46 +0000
