=== debian/changelog ===
libtracefs (1.8.1-1ubuntu1) questing; urgency=medium

  * Merge with Debian unstable (LP: #2112036). Remaining changes:
    - Bump libtraceevent-dev Build-Depends to >= 1:1.8.0
    - Return an error from trace-utest if one of the tests failed:
      + d/p/testsuite-return-error-when-tests-failed.patch
    - Only use online CPUs during tests
      + d/p/testsuite-use-only-online-cpus.patch
    - Build and run the upstream testsuite (as root) during build
    - Run the upstream test suite during autopkgtest (requires root and VM)
      (LP #2055309)
      + Build autopkgtest testsuite against installed library
      + Ignore CI-incompatible test failures in CI
      + Add d/tests/autopkgtest-specific.patch to support required changes
    - debian/.gitignore: un-ignore patches/ as done in upstream

 -- Nick Rosbrook <enr0n@ubuntu.com>  Thu, 05 Jun 2025 16:43:09 -0400

libtracefs (1.8.1-1) unstable; urgency=medium

  * New upstream version 1.8.1
  * d/libtracefs1.symbols: remove MISSING symbols.
  * d/control: Depend on pkgconf instead of pkg-config.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sat, 27 Jul 2024 19:50:01 +0100
