## libtracefs 1.8.2

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # libtracefs version
 TFS_VERSION = 1
 TFS_PATCHLEVEL = 8
-TFS_EXTRAVERSION = 1
+TFS_EXTRAVERSION = 2
 TRACEFS_VERSION = $(TFS_VERSION).$(TFS_PATCHLEVEL).$(TFS_EXTRAVERSION)
 
 export TFS_VERSION
@@ -55,6 +55,8 @@
 prefix ?= /usr/local
 man_dir ?= $(prefix)/share/man
 man_dir_SQ = '$(subst ','\'',$(man_dir))'
+completion_dir ?= $(prefix)/share/bash-completion/completions
+completion_dir_SQ = '$(subst ','\'',$(completion_dir))'
 libdir ?= $(prefix)/$(libdir_relative)
 libdir_SQ = '$(subst ','\'',$(libdir))'
 includedir_relative ?= include/tracefs
@@ -86,9 +88,6 @@
 PREF_DEFINED := 0
 endif
 
-etcdir ?= /etc
-etcdir_SQ = '$(subst ','\'',$(etcdir))'
-
 export man_dir man_dir_SQ html_install html_install_SQ INSTALL
 export img_install img_install_SQ
 export DESTDIR DESTDIR_SQ
@@ -99,8 +98,6 @@
 HELP_DIR = -DHELP_DIR=$(html_install)
 HELP_DIR_SQ = '$(subst ','\'',$(HELP_DIR))'
 #' emacs highlighting gets confused by the above escaped quote.
-
-BASH_COMPLETE_DIR ?= $(etcdir)/bash_completion.d
 
 # copy a bit from Linux kbuild
 
@@ -300,7 +297,10 @@
 	$(Q)$(call do_install,$(src)/include/tracefs.h,$(includedir_SQ),644)
 	$(Q)$(call install_ld_config)
 
-install: install_libs
+install_bash_completion: force
+	$(Q)$(call do_install_data,$(src)/src/tracefs_sql.bash,$(completion_dir))
+
+install: install_libs install_bash_completion
 
 install_pkgconfig: $(PKG_CONFIG_FILE)
 	$(Q)$(call , $(PKG_CONFIG_FILE)) \
@@ -399,6 +399,9 @@
 
 samples: libtracefs.a force
 	$(Q)$(call descend,$(src)/samples,all)
+
+sqlhist_remake:
+	$(Q)$(call descend,$(src)/src,sqlhist_remake)
 
 clean: clean_meson
 	$(Q)$(call descend_clean,utest)
@@ -411,17 +414,3 @@
 	  $(BUILD_PREFIX))
 
 meson:
-	$(MAKE) -f Makefile.meson
-
-meson_install:
-	$(MAKE) -f Makefile.meson install
-
-meson_docs:
-	$(MAKE) -f Makefile.meson docs
-
-PHONY += clean_meson
-clean_meson:
-	$(Q)$(MAKE) -f Makefile.meson $@
-
-.PHONY: clean
-
