=== debian/changelog ===
libtracefs (1.8.2-1ubuntu1) resolute; urgency=medium

  * Merge with Debian unstable (LP: #2130159). Remaining changes:
    - Return an error from trace-utest if one of the tests failed:
      + d/p/testsuite-return-error-when-tests-failed.patch
    - Only use online CPUs during tests
      + d/p/testsuite-use-only-online-cpus.patch
    - Build and run the upstream testsuite (as root) during build
    - Run the upstream test suite during autopkgtest (requires root and VM)
      (LP #2055309)
      + Build autopkgtest testsuite against installed library
      + Ignore CI-incompatible test failures in CI
      + Add d/tests/autopkgtest-specific.patch to support required changes
    - debian/.gitignore: un-ignore patches/ as done in upstream
  * Dropped, no longer needed:
    - Bump libtraceevent-dev Build-Depends to >= 1:1.8.0
  * New changes:
    - Drop hunk from d/p/testsuite-use-only-online-cpus.patch that removes the
      uprobes test without explanation

 -- Nick Rosbrook <enr0n@ubuntu.com>  Tue, 04 Nov 2025 10:36:43 -0500

libtracefs (1.8.2-1) unstable; urgency=medium

  * New upstream version 1.8.2
  * Update Standards-Version to 4.7.2.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Mon, 11 Aug 2025 06:52:30 +0100
