=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Sudip Mukherjee <sudipm.mukherjee@gmail.com>
 Build-Depends:
- debhelper-compat (= 13), libcunit1-dev, libtraceevent-dev (>= 1:1.8.0),
+ debhelper-compat (= 13), libcunit1-dev, libtraceevent-dev (>= 1:1.3.0),
  pkgconf, asciidoc, xmlto, source-highlight, flex, bison
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Section: libs
 Homepage: https://git.kernel.org/pub/scm/libs/libtrace/libtracefs.git
 Vcs-Browser: https://salsa.debian.org/sudip/libtracefs
