## libtracefs 1.8.3

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # libtracefs version
 TFS_VERSION = 1
 TFS_PATCHLEVEL = 8
-TFS_EXTRAVERSION = 2
+TFS_EXTRAVERSION = 3
 TRACEFS_VERSION = $(TFS_VERSION).$(TFS_PATCHLEVEL).$(TFS_EXTRAVERSION)
 
 export TFS_VERSION
@@ -274,8 +274,8 @@
 	if $(LDCONFIG); then \
 		if ! grep -q "^$(libdir)$$" $(LD_SO_CONF_PATH)/* ; then \
 			$(CC) -o $(objtree)/test $(srctree)/test.c -I $(includedir_SQ) \
-				-L $(libdir_SQ) -ltracefs &> /dev/null; \
-			if ! $(objtree)/test &> /dev/null; then \
+				-L $(libdir_SQ) -ltracefs > /dev/null 2>&1; \
+			if ! $(objtree)/test > /dev/null 2>&1; then \
 				$(call print_install, trace.conf, $(LD_SO_CONF_PATH)) \
 				echo $(libdir_SQ) >> $(LD_SO_CONF_PATH)/trace.conf; \
 				$(LDCONFIG); \
@@ -413,4 +413,3 @@
 	  $(VERSION_FILE) \
 	  $(BUILD_PREFIX))
 
-meson:
