=== debian/changelog ===
libtracefs (1.8.3-1) unstable; urgency=medium

  * New upstream version 1.8.3
  * Update Standards-Version to 4.7.3

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Wed, 28 Jan 2026 18:50:11 +0000
