=== debian/control ===
--- 
+++ 
@@ -1,16 +1,14 @@
 Source: libtracefs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Sudip Mukherjee <sudipm.mukherjee@gmail.com>
+Maintainer: Sudip Mukherjee <sudipm.mukherjee@gmail.com>
 Build-Depends:
  debhelper-compat (= 13), libcunit1-dev, libtraceevent-dev (>= 1:1.3.0),
  pkgconf, asciidoc, xmlto, source-highlight, flex, bison
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Section: libs
 Homepage: https://git.kernel.org/pub/scm/libs/libtrace/libtracefs.git
 Vcs-Browser: https://salsa.debian.org/sudip/libtracefs
 Vcs-Git: https://salsa.debian.org/sudip/libtracefs.git
-Rules-Requires-Root:
 
 Package: libtracefs-dev
 Section: libdevel
